
********************************************************************************

*Use the budget shares from Excel file
import excel using "${data}/raw/food_fuel_ALL.xls", firstrow clear

rename (A B) (ctry_n deciles)

keeporder ctry_n deciles Foodbeverage Allenergy

replace ctry_n="BG" in 1/10
replace ctry_n="HR" in 11/20
replace ctry_n="PL" in 21/30
replace ctry_n="RO" in 31/40

*Save the dataset
save "${data}/clean/food_fuel_ALL", replace

*Use the EU SILC 2017-2020
use "${data}/raw/SILC_2017_2020.dta", clear

append using "${data}/raw/POL_2019.dta"

*Will only use 2020 and for Poland is 2019
replace year=2020 if year==2019

keep if year==2020

*Per capita income
gen double inc_pc=(hy020/hx040)

save "${data}/clean/SILC_2020_POL_2019.dta", replace
